summaryrefslogtreecommitdiff
path: root/pkgs/custom-neovim/.direnv/bin
diff options
context:
space:
mode:
authoroutremonde <outremonde@vivaldi.net>2025-06-10 20:32:00 -0400
committeroutremonde <outremonde@vivaldi.net>2025-06-10 20:32:00 -0400
commit9786eb8672213344d8d1b7bdef12bc94510b20db (patch)
treeb7d79440800c92d32187ab32c636b0830c94a610 /pkgs/custom-neovim/.direnv/bin
initialized repository
Former-commit-id: 84647f22b951a957b2b83885b612115d473f6626
Diffstat (limited to 'pkgs/custom-neovim/.direnv/bin')
-rwxr-xr-xpkgs/custom-neovim/.direnv/bin/nix-direnv-reload19
1 files changed, 19 insertions, 0 deletions
diff --git a/pkgs/custom-neovim/.direnv/bin/nix-direnv-reload b/pkgs/custom-neovim/.direnv/bin/nix-direnv-reload
new file mode 100755
index 0000000..8ee81ba
--- /dev/null
+++ b/pkgs/custom-neovim/.direnv/bin/nix-direnv-reload
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+set -e
+if [[ ! -d "/home/culsans/Sync/setup/pkgs/custom-neovim" ]]; then
+ echo "Cannot find source directory; Did you move it?"
+ echo "(Looking for "/home/culsans/Sync/setup/pkgs/custom-neovim")"
+ echo 'Cannot force reload with this script - use "direnv reload" manually and then try again'
+ exit 1
+fi
+
+# rebuild the cache forcefully
+_nix_direnv_force_reload=1 direnv exec "/home/culsans/Sync/setup/pkgs/custom-neovim" true
+
+# Update the mtime for .envrc.
+# This will cause direnv to reload again - but without re-building.
+touch "/home/culsans/Sync/setup/pkgs/custom-neovim/.envrc"
+
+# Also update the timestamp of whatever profile_rc we have.
+# This makes sure that we know we are up to date.
+touch -r "/home/culsans/Sync/setup/pkgs/custom-neovim/.envrc" "/home/culsans/Sync/setup/pkgs/custom-neovim/.direnv"/*.rc